Author Topic: uBlock origin for Firefox 45 - which version?  (Read 454 times)

Andreas Schnellbacher

  • Hero Member
  • *****
  • Thank You
  • -Given: 1
  • -Receive: 31
  • Posts: 583
  • Karma: +0/-0
    • View Profile
uBlock origin for Firefox 45 - which version?
« on: September 19, 2020, 03:22:58 pm »
Can anyone recommend a version of uBlock origin that works with our Firefox 45?

The Web site: https://github.com/gorhill/uBlock/releases

I have tried several versions, but either I get this message:
Quote
This add-on could not be installed because it appears to be corrupt.
or this:
Quote
This add-on could not be installed because it has not been verified.

Newer versions need at least Firefox 55. I know that the add-ons must be verified/signed.

(With Firefox 38 (SeaMonkey 2.35), version 1.13.8 works.)

Dariusz Piatkowski

  • Hero Member
  • *****
  • Thank You
  • -Given: 14
  • -Receive: 17
  • Posts: 782
  • Karma: +0/-0
    • View Profile
Re: uBlock origin for Firefox 45 - which version?
« Reply #1 on: September 19, 2020, 04:23:58 pm »
Hi Andreas,

I have 1.16.4.25 working very well here. In fact I just upgraded to that version from a prior 1.16.4.20.
« Last Edit: September 19, 2020, 07:25:41 pm by Dariusz Piatkowski »

Dave Yeo

  • Hero Member
  • *****
  • Thank You
  • -Given: 11
  • -Receive: 192
  • Posts: 2652
  • Karma: +6/-0
    • View Profile
Re: uBlock origin for Firefox 45 - which version?
« Reply #2 on: September 19, 2020, 05:16:11 pm »
Likewise, I'm using 1.16.4.21, so basically the 1.16.4 branch.

Andreas Schnellbacher

  • Hero Member
  • *****
  • Thank You
  • -Given: 1
  • -Receive: 31
  • Posts: 583
  • Karma: +0/-0
    • View Profile
Re: uBlock origin for Firefox 45 - which version?
« Reply #3 on: September 19, 2020, 06:48:13 pm »
Thanks, but unfortunately that doesn't work here:

I've pressed 'Next' several times, until I get to this page: https://github.com/gorhill/uBlock/releases?after=1.16.18

Then I've clicked on the 1.16.4 header: https://github.com/gorhill/uBlock/releases/tag/1.16.4

Then I've downloaded uBlock0.firefox.xpi from that page and dragged the file onto a Firefox window. The result:
Quote
This add-on could not be installed because it has not been verified.

Clicking the link directly downloads it, I see the progress bar, but gives also a slightly different error message.

I have already tried a new profile.

Also the .xpi file from the legacy page gives the same result.
« Last Edit: September 19, 2020, 06:59:12 pm by Andreas Schnellbacher »

Andreas Schnellbacher

  • Hero Member
  • *****
  • Thank You
  • -Given: 1
  • -Receive: 31
  • Posts: 583
  • Karma: +0/-0
    • View Profile
Re: uBlock origin for Firefox 45 - which version?
« Reply #4 on: September 19, 2020, 07:12:27 pm »
OK, solved.

I had to open about:config. Then I've entered the filter xpinstall.signatures.required

The default value is true. Double-clicking the setting changes the value to false. After that (no restart required), installing
uBlock0_1.16.4.25.firefox-legacy.xpi from https://github.com/gorhill/uBlock-for-firefox-legacy/releases worked.

Thanks again.

Dariusz Piatkowski

  • Hero Member
  • *****
  • Thank You
  • -Given: 14
  • -Receive: 17
  • Posts: 782
  • Karma: +0/-0
    • View Profile
Re: uBlock origin for Firefox 45 - which version?
« Reply #5 on: September 19, 2020, 07:26:52 pm »
OK, solved.

I had to open about:config. Then I've entered the filter xpinstall.signatures.required
..

Glad you got it, I just thought to myself "aha...about:config to the rescue" as I was reading your first response!!

Dave Yeo

  • Hero Member
  • *****
  • Thank You
  • -Given: 11
  • -Receive: 192
  • Posts: 2652
  • Karma: +6/-0
    • View Profile
Re: uBlock origin for Firefox 45 - which version?
« Reply #6 on: September 19, 2020, 07:47:30 pm »
Might be the difference between running nightly and Firefox. I installed most of this stuff using a browser with the nightly branding with no problems beyond the known ones of needing a compatible XPI.